LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06615Bug reports[All Projects] Statisticspublic2012-09-30 18:572012-11-22 11:40
Reporterchrislime 
Assigned Tojcleeland 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06615: Browsing text answer results with the "browse" button does nothing. - Filter for text responses not working
DescriptionTrying to view statistics for text answers.
With or without text answers inline selected.
Browsing text answer results with the "browse" button does nothing.
Steps To ReproduceCreate a text based question.
Answer it a few times.
Check stats for the text question.
Click "browse" to see the unique answers.

Nothing happens.

In 1.92 a popup appears with the unique answers listed by ID
Additional Informationwin7
firefox 13
Safari IPAD iOS5
IE9
I will donate to the project if issue is resolved within 48 hrsYes
LimeSurvey build number OR git commit ID120930
Browserfirefox 13
Database & DB-VersionMYSQL 5.1.49
Operating System (Server)Linux
Webserver software & versionLinux infong 2.4
PHP Version5.2.17
Attached Files

- Relationships
parent of 06616closedc_schmitz Icons below pie part stats (to display stats in different graph formats) do not work. 
has duplicate 06666closedc_schmitz Filters showing all text responses 
has duplicate 06710closedc_schmitz Filter ignored in text answers 

-  Notes
User avatar (20946)
c_schmitz (administrator)
2012-10-01 12:08

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=9601 [^]
User avatar (20947)
c_schmitz (administrator)
2012-10-01 12:13

Jason I am assigning this to you because you implemented that functionality. The fix I did only partially restores the functionality but still lists ALL responses.
I had to remove the SQL property in the past because it is a security hole (Passing SQL on the URL is a bad idea). My suggesiton is to save the current filter to the session and then use it from there within the listcolumn method.
User avatar (21354)
c_schmitz (administrator)
2012-10-16 11:40

Jason?
User avatar (22295)
jcleeland (developer)
2012-11-17 02:32

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10340 [^]
User avatar (22296)
jcleeland (developer)
2012-11-17 02:33

Moved the filtering to a session variable instead, so it now gets applied without being sent through URL
User avatar (22300)
jcleeland (developer)
2012-11-17 04:43

Forgot to put "fixed in version" info. Issue resolved
User avatar (22412)
jcleeland (developer)
2012-11-22 11:40

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10425 [^]

- Related Changesets
LimeSurvey: master c4e6508c
Timestamp: 2012-10-01 03:08:10
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06615: Browsing text answer results with the "browse" button does nothing.
Dev Partial fix - browse button still ignores any filters
mod - application/controllers/admin/statistics.php Diff ] File ]
mod - application/helpers/admin/statistics_helper.php Diff ] File ]
mod - scripts/admin/statistics.js Diff ] File ]
LimeSurvey: master eb25bb20
Timestamp: 2012-11-17 01:31:07
Author: jcleeland
Committer: Jason Cleeland
Details ] Diff ]
Fixed issue 06615 - Browsing text answer results with the browse button does nothing. Fixed filtering for text browsing
mod - application/controllers/admin/statistics.php Diff ] File ]
mod - application/helpers/admin/statistics_helper.php Diff ] File ]
LimeSurvey: 2.1 141fab9a
Timestamp: 2012-11-22 10:37:41
Author: jcleeland
Committer: Jason Cleeland
Details ] Diff ]
Fixed issue 06615 - Browsing text answer results with the browse button does nothing. Fixed filtering for text browsing
mod - application/controllers/admin/statistics.php Diff ] File ]
mod - application/helpers/admin/statistics_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-09-30 18:57 chrislime New Issue
2012-10-01 12:06 c_schmitz Assigned To => c_schmitz
2012-10-01 12:06 c_schmitz Status new => assigned
2012-10-01 12:08 c_schmitz Assigned To c_schmitz => jcleeland
2012-10-01 12:08 c_schmitz Changeset attached => LimeSurvey master c4e6508c
2012-10-01 12:08 c_schmitz Note Added: 20946
2012-10-01 12:08 c_schmitz Assigned To jcleeland => c_schmitz
2012-10-01 12:08 c_schmitz Resolution open => fixed
2012-10-01 12:13 c_schmitz Note Added: 20947
2012-10-01 12:13 c_schmitz Assigned To c_schmitz => jcleeland
2012-10-01 12:16 c_schmitz Relationship added parent of 06616
2012-10-10 13:49 c_schmitz Relationship added has duplicate 06666
2012-10-16 11:39 c_schmitz Summary Browsing text answer results with the "browse" button does nothing. => Browsing text answer results with the "browse" button does nothing. - Filter for text responses not working
2012-10-16 11:40 c_schmitz Relationship added has duplicate 06710
2012-10-16 11:40 c_schmitz Note Added: 21354
2012-11-17 02:32 jcleeland Changeset attached => LimeSurvey master eb25bb20
2012-11-17 02:32 jcleeland Note Added: 22295
2012-11-17 02:33 jcleeland Note Added: 22296
2012-11-17 02:33 jcleeland Status assigned => resolved
2012-11-17 04:42 jcleeland Status resolved => assigned
2012-11-17 04:43 jcleeland Note Added: 22300
2012-11-17 04:43 jcleeland Status assigned => resolved
2012-11-17 04:43 jcleeland Fixed in Version => 2.00+
2012-11-20 13:19 c_schmitz Status resolved => closed
2012-11-22 11:40 jcleeland Changeset attached => LimeSurvey 2.1 141fab9a
2012-11-22 11:40 jcleeland Note Added: 22412


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker